package com.liang.service.impl;

import com.liang.dao.PrjProjectXgjlDao;
import com.liang.entity.PrjProjectXgjl;
import com.liang.service.PrjProjectXgjlService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("PrjProjectXgjlService")
public class PrjProjectXgjlServiceImpl implements PrjProjectXgjlService {

    @Resource
    private PrjProjectXgjlDao prjProjectXgjlDao;

    @Override
    public List<PrjProjectXgjl> getXGJL(Integer xmid) {
        return this.prjProjectXgjlDao.getXGJL(xmid);
    }

    @Override
    public List<PrjProjectXgjl> getXG(int k, int xmid) {
        return this.prjProjectXgjlDao.getXG(k,xmid);
    }

    @Override
    public void batchinsertXGJL(List<PrjProjectXgjl> prjProjectXgjlList) {
        prjProjectXgjlDao.batchinsertXGJL(prjProjectXgjlList);
    }
}
